<?php
/**************************************************
  Coppermine 1.5.x Plugin - photocols
  *************************************************
  Copyright (c) 2014 Mykee (www.acegem.hu)
  *************************************************
  This plugin based on photocols gallery script.
  More parameters, license visit developer's website: https://github.com/2CodersTeam/jquery.photocols
  ************************************************
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/branches/cpg1.5.x/plugins/photocols/plugin_config.php $
  $Revision: 6994 $
  $LastChangedBy: mykee $
  $Date: 2014-07-11 14:05:10 +0100 (Fri, 11 July 2014) $
  **************************************************/


require_once('include/init.inc.php');
require('./plugins/photocols/include/init.inc.php');


$photocols_superCage = Inspekt::makeSuperCage();

global $CONFIG,$lang_plugin_photocols;
if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
if($lang_text_dir=='ltr') {
  $align="left";
  $direction="ltr";
}else {
  $align="right";
  $direction="rtl";
}

pageheader($lang_plugin_photocols['display_name']);
if ($photocols_superCage->post->keyExists('update')) {
  $photocols_compatcode = $photocols_superCage->post->getInt('photocols_compatcode');
  $photocols_jquery = $photocols_superCage->post->getInt('photocols_jquery');
  $photocols_album = $photocols_superCage->post->getAlnum('photocols_album');
  $photocols_oriental = $photocols_superCage->post->getInt('photocols_oriental');
  $photocols_header = $photocols_superCage->post->getInt('photocols_header');
  $photocols_thumb = $photocols_superCage->post->getInt('photocols_thumb');
  $photocols_numberofpics = $photocols_superCage->post->getDigits('photocols_numberofpics');
  $photocols_ulclass = $photocols_superCage->post->getRaw('photocols_ulclass');
  $photocols_bgcolor = $photocols_superCage->post->getRaw('photocols_bgcolor');
  $photocols_phwidth = $photocols_superCage->post->getRaw('photocols_phwidth');
  $photocols_phheight = $photocols_superCage->post->getDigits('photocols_phheight');     
  $photocols_width = $photocols_superCage->post->getDigits('photocols_width');
  $photocols_height = $photocols_superCage->post->getDigits('photocols_height');
  $photocols_gap = $photocols_superCage->post->getDigits('photocols_gap');
  $photocols_title = $photocols_superCage->post->getDigits('photocols_title');
  $photocols_subtitle = $photocols_superCage->post->getDigits('photocols_subtitle');
  $photocols_overlay = $photocols_superCage->post->getRaw('photocols_overlay');
  $photocols_hover = $photocols_superCage->post->getInt('photocols_hover');
  $photocols_allrow = $photocols_superCage->post->getDigits('photocols_allrow');
  $photocols_wordcut = $photocols_superCage->post->getDigits('photocols_wordcut');
  
   if ($photocols_thumb == 1) {
  $maxnum = 100;
  } else {
  $maxnum = 50;
  }
  // if someone types text into a number input field, set default value
  if ($matches = $photocols_superCage->post->getMatched('photocols_opacity','/^([0-1]{1,})?\.?([0-9]{1,})$/')) {
      if ($matches[0] <= 1 ){
      $photocols_opacity = $matches[0];
      } else {
      $photocols_opacity = "0.3";
      }
    }
    else {
    $photocols_opacity = "0.3";
    }
  if($photocols_phwidth == "") $photocols_phwidth = "auto";
  if($photocols_phheight != strval(intval($photocols_phheight)) || $photocols_phheight =="" ) $photocols_phheight = 600;
  if($photocols_width != strval(intval($photocols_width)) || $photocols_width =="" ) $photocols_width = 200;
  if($photocols_height != strval(intval($photocols_height)) || $photocols_height =="" ) $photocols_height = 300;
  if($photocols_gap != strval(intval($photocols_gap)) || $photocols_gap =="" ) $photocols_gap = 5;
  if($photocols_title != strval(intval($photocols_title)) || $photocols_title =="" ) $photocols_title = 16;
  if($photocols_subtitle != strval(intval($photocols_subtitle)) || $photocols_subtitle =="" ) $photocols_subtitle = 12;
  if($photocols_allrow != strval(intval($photocols_allrow)) || $photocols_allrow == "" ) $photocols_allrow = 0;
  if($photocols_wordcut != strval(intval($photocols_wordcut)) || $photocols_wordcut =="" ) $photocols_wordcut = 250;
  if($photocols_numberofpics != strval(intval($photocols_numberofpics))) $photocols_numberofpics = 30;
  if($photocols_numberofpics < 8 or $photocols_numberofpics > $maxnum) $photocols_numberofpics = 15;
  if($photocols_ulclass == "") $photocols_ulclass = "photocolswrapper";
  if($photocols_bgcolor == "") $photocols_bgcolor = "#000";
  if($photocols_overlay == "") $photocols_overlay = "#000";
  
  $s="UPDATE `{$CONFIG['TABLE_PREFIX']}plugin_photocols` SET photocols_compatcode=($photocols_compatcode), photocols_jquery=($photocols_jquery), photocols_album=('$photocols_album'), photocols_width=($photocols_width), photocols_height=($photocols_height), photocols_numberofpics=($photocols_numberofpics), photocols_thumb=($photocols_thumb), photocols_ulclass=('$photocols_ulclass'), photocols_header=($photocols_header), photocols_oriental=($photocols_oriental), photocols_bgcolor=('$photocols_bgcolor'), photocols_phwidth=('$photocols_phwidth'), photocols_phheight=($photocols_phheight), photocols_gap=($photocols_gap), photocols_opacity=('$photocols_opacity'), photocols_title=('$photocols_title'), photocols_subtitle=('$photocols_subtitle'), photocols_overlay=('$photocols_overlay'), photocols_hover=($photocols_hover), photocols_allrow=($photocols_allrow), photocols_wordcut=($photocols_wordcut)";
//  print_r ($s); exit;
  cpg_db_query($s); 
  msg_box($lang_plugin_photocols['display_name'], $lang_plugin_photocols['update_success']);
}

if ($PHOTOCOLSSET['photocols_thumb'] == 1) {
  $maxnum = 100;
  } else {
  $maxnum = 50;
  }
require('./plugins/photocols/include/load_photocolsset.php');


starttable('100%', $lang_plugin_photocols['main_title'].' - Version '.$lang_plugin_photocols['version']);
?>

<TR>
  <TD class=tableh2 colSpan=3><?php echo $lang_plugin_photocols['main_title']?></TD>
</TR>
<TR>
  <td><form action="<?php $_SERVER['PHP_SELF']?>" method="post" name="photocols_settings">
      <table class="maintable" cellSpacing="2" cellPadding="2" width="100%" align="<?php echo $align?>" border=0 id="section1">
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_photocols['photocols_compatcode']?>&nbsp;&nbsp;</td>
          <td><input name="photocols_compatcode" type="radio" value="1" <?php if($PHOTOCOLSSET['photocols_compatcode'] == 1) echo 'checked="checked"';?> id="photocols_compatcode1"/>
            <?php echo $lang_plugin_photocols['photocols_yes']?>
            <input name="photocols_compatcode" type="radio" value="0" <?php if($PHOTOCOLSSET['photocols_compatcode'] == 0) echo 'checked="checked"';?> id="photocols_compatcode0"/>
            <?php echo $lang_plugin_photocols['photocols_no']?>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_photocols['photocols_jquery']?>&nbsp;&nbsp;</td>
          <td><input name="photocols_jquery" type="radio" value="1" <?php if($PHOTOCOLSSET['photocols_jquery'] == 1) echo 'checked="checked"';?> id="photocols_jquery1"/>
            <?php echo $lang_plugin_photocols['photocols_yes']?>
            <input name="photocols_jquery" type="radio" value="0" <?php if($PHOTOCOLSSET['photocols_jquery'] == 0) echo 'checked="checked"';?> id="photocols_jquery0"/>
            <?php echo $lang_plugin_photocols['photocols_no']?>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_photocols['photocols_header']?>&nbsp;&nbsp;</td>
          <td><input name="photocols_header" type="radio" value="1" <?php if($PHOTOCOLSSET['photocols_header'] == 1) echo 'checked="checked"';?> id="photocols_header1"/>
            <?php echo $lang_plugin_photocols['photocols_yes']?>
            <input name="photocols_header" type="radio" value="0" <?php if($PHOTOCOLSSET['photocols_header'] == 0) echo 'checked="checked"';?> id="photocols_header0"/>
            <?php echo $lang_plugin_photocols['photocols_no']?>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_ulclass']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_ulclass" name="photocols_ulclass" type="int" value="<?php echo $PHOTOCOLSSET['photocols_ulclass']?>" >
          </td>
        </tr>        
        <tr>
        <td><hr /></td>
        <td>&nbsp;</td>
        </tr>
        <tr>
        	<td align="right"><?php echo $lang_plugin_photocols['album']?>&nbsp;&nbsp;</td>
        	<td>
        		  <select name="photocols_album" id="photocols_album">
                 <option value="random" <?php if($PHOTOCOLSSET['photocols_album'] == "random") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['random']?></option>
                 <option value="lastup" <?php if($PHOTOCOLSSET['photocols_album'] == "lastup") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['lastup']?></option>
                 <option value="topn" <?php if($PHOTOCOLSSET['photocols_album'] == "topn") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['topn']?></option>
                 <option value="toprated" <?php if($PHOTOCOLSSET['photocols_album'] == "toprated") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['toprated']?></option>
              </select>
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_photocols['photocols_oriental']?>&nbsp;&nbsp;</td>
          <td><input name="photocols_oriental" type="radio" value="1" <?php if($PHOTOCOLSSET['photocols_oriental'] == 1) echo 'checked="checked"';?> id="photocols_oriental1"/>
            <?php echo $lang_plugin_photocols['photocols_horizontal']?>
            <input name="photocols_oriental" type="radio" value="2" <?php if($PHOTOCOLSSET['photocols_oriental'] == 2) echo 'checked="checked"';?> id="photocols_oriental2"/>
            <?php echo $lang_plugin_photocols['photocols_vertical']?>
            <input name="photocols_oriental" type="radio" value="0" <?php if($PHOTOCOLSSET['photocols_oriental'] == 0) echo 'checked="checked"';?> id="photocols_oriental0"/>
            <?php echo $lang_plugin_photocols['photocols_mixedori']?>
        </tr>        
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_photocols['photocols_thumb']?>&nbsp;&nbsp;</td>
          <td><input name="photocols_thumb" type="radio" value="1" <?php if($PHOTOCOLSSET['photocols_thumb'] == 1) echo 'checked="checked"';?> id="photocols_thumb1"/>
            <?php echo $lang_plugin_photocols['photocols_thumbnail']?>
            <input name="photocols_thumb" type="radio" value="2" <?php if($PHOTOCOLSSET['photocols_thumb'] == 2) echo 'checked="checked"';?> id="photocols_thumb2"/>
            <?php echo $lang_plugin_photocols['photocols_normal']?>
            <input name="photocols_thumb" type="radio" value="0" <?php if($PHOTOCOLSSET['photocols_thumb'] == 0) echo 'checked="checked"';?> id="photocols_thumb0"/>
            <?php echo $lang_plugin_photocols['photocols_fullsize']?>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_numberofpics']?> (10-<?php echo $maxnum ?>)&nbsp;&nbsp;
          </td>
          <td width="50%">
          	<select name="photocols_numberofpics" id="photocols_numberofpics">
          	<?php for($i = 10; $i < $maxnum+1; $i++)
          	{
          	  echo '<option value="'.$i.'" ';
          	  if($PHOTOCOLSSET['photocols_numberofpics'] == $i) echo 'selected="selected" ';
          	  echo '>'.$i.'</option>';
          	} ?>
          </select>
          </td>
        </tr>
        <tr>
        <td><hr /></td>
        <td>&nbsp;</td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_bgcolor']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_bgcolor" name="photocols_bgcolor" type="int" value="<?php echo $PHOTOCOLSSET['photocols_bgcolor']?>" >
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_phwidth']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_phwidth" name="photocols_phwidth" type="int" value="<?php echo $PHOTOCOLSSET['photocols_phwidth']?>" >
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_phheight']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_phheight" name="photocols_phheight" type="int" value="<?php echo $PHOTOCOLSSET['photocols_phheight']?>" > px
          </td>
        </tr>                
        <tr id="cpwidth">
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_width']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_width" name="photocols_width" type="int" value="<?php echo $PHOTOCOLSSET['photocols_width']?>" > px
          </td>
        </tr>
        <tr id="cpheight">
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_height']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_height" name="photocols_height" type="int" value="<?php echo $PHOTOCOLSSET['photocols_height']?>" > px
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_gap']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_gap" name="photocols_gap" type="int" value="<?php echo $PHOTOCOLSSET['photocols_gap']?>" > px
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_overlay']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_overlay" name="photocols_overlay" type="int" value="<?php echo $PHOTOCOLSSET['photocols_overlay']?>" >
          </td>
        </tr>                
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_opacity']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_opacity" name="photocols_opacity" type="int" value="<?php echo $PHOTOCOLSSET['photocols_opacity']?>" >
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_title']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_title" name="photocols_title" type="int" value="<?php echo $PHOTOCOLSSET['photocols_title']?>" > px
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_subtitle']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_subtitle" name="photocols_subtitle" type="int" value="<?php echo $PHOTOCOLSSET['photocols_subtitle']?>" > px
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_photocols['photocols_hover']?>&nbsp;&nbsp;</td>
          <td><input name="photocols_hover" type="radio" value="1" <?php if($PHOTOCOLSSET['photocols_hover'] == 1) echo 'checked="checked"';?> id="photocols_hover1"/>
            <?php echo $lang_plugin_photocols['photocols_yes']?>
            <input name="photocols_hover" type="radio" value="0" <?php if($PHOTOCOLSSET['photocols_hover'] == 0) echo 'checked="checked"';?> id="photocols_hover0"/>
            <?php echo $lang_plugin_photocols['photocols_no']?>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_allrow']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_allrow" name="photocols_allrow" type="int" value="<?php echo $PHOTOCOLSSET['photocols_allrow']?>" >
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_photocols['photocols_wordcut']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="photocols_wordcut" name="photocols_wordcut" type="int" value="<?php echo $PHOTOCOLSSET['photocols_wordcut']?>" >
          </td>
        </tr>                 
        <tr>
          <td>&nbsp;</td>
          <td>
            <input name="update" type="hidden" id="update" value="1" /></td>
        </tr>  
        <tr>
          <td>&nbsp;</td>
          <td align="left"><input name="Submit" type="submit" value="<?php echo $lang_plugin_photocols['submit_button']?>" /></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="center">&nbsp;</td>
        </tr>
      </table>
    </form></td>
</tr>
<?php 
endtable();

pagefooter();
ob_end_flush();

?>